general {
    lock_cmd = qs ipc call lock lock
    before_sleep_cmd = loginctl lock-session
    ignore_dbus_inhibit = true
    ignore_systemd_inhibit = false
}

listener {
    timeout = 870
    on-timeout = ~/.config/hypr/suspend-script.sh 'notify-send "You are idle. Going to sleep in 30 seconds"'
}

listener {
    timeout = 900
    on-timeout = ~/.config/hypr/suspend-script.sh 'loginctl suspend'
}